<?php

/**
 *
 * $Id: index.php,v 1.41 2005/08/02 22:10:38 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     htdocs
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.41 $
 *
 */

// ------------------------------------------------------------------------
//   ATTENTION:  THIS SCRIPT HAVE TO WORK WITHOUT DEPENDENCIES WITH PHP4!
// ------------------------------------------------------------------------

    header('Expires: Sat, 05 Aug 2000 22:27:00 GMT');
    header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
    header('Cache-Control: no-cache, must-revalidate');
    header('Pragma: no-cache');
    header('Cache-Control: post-check=0, pre-check=0');
    header('Vary: Accept-Encoding, User-Agent');

    // --------------------------------------------------------------------

    define('SETUP_PATH', dirname($_SERVER['SCRIPT_FILENAME']));

    // Include and init required files
    include_once SETUP_PATH.'/version.php';

    // Compares the version and emmit an error in browser if neccessary.
    include_once SETUP_PATH.'/version.compare.php';

    // --------------------------------------------------------------------

    include_once 'index.proxy.php';

?>